<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('etab_profs', function (Blueprint $table) {
            $table->date('date_fin')->nullable()->after('date_affectation');
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::table('etab_profs', function (Blueprint $table) {
            $table->dropColumn('date_fin');
        });
    }
};
